{
    "name": "react-redux-clean-start",
    "author": "Marceau Azzopardi <m.azzopardi@autobiz.com>",
    "description": "",
    "keywords": [
        "clean architecture",
        "hexagon architecture"
    ],
    "version": "0.2.0",
    "private": true,
    "dependencies": {
        "axios": "^0.26.1",
        "bootstrap": "5.1.3",
        "fp-ts": "^2.11.9",
        "immer": "^9.0.12",
        "node-sass": "7.0.1",
        "react": "^17.0.2",
        "react-dom": "^17.0.2",
        "react-redux": "^7.2.6",
        "react-scripts": "5.0.0",
        "reactstrap": "^9.0.1",
        "redux": "^4.1.2",
        "redux-devtools-extension": "^2.13.9",
        "redux-thunk": "^2.4.1",
        "web-vitals": "^2.1.4"
    },
    "scripts": {
        "start": "react-scripts start",
        "start:inMemory": "REACT_APP_SOURCE=inMemory npm start",
        "start:jsonPlaceholder": "REACT_APP_SOURCE=jsonPlaceholder npm start",
        "start:fakeStoreApi": "REACT_APP_SOURCE=fakeStoreApi npm start",
        "build": "react-scripts build",
        "test": "react-scripts test",
        "eject": "react-scripts eject",
        "lint": "tsc --noEmit && eslint --ext .js,.jsx,.ts,.tsx src --fix"
    },
    "eslintConfig": {
        "extends": [
            "react-app",
            "react-app/jest"
        ]
    },
    "browserslist": {
        "production": [
            ">0.2%",
            "not dead",
            "not op_mini all"
        ],
        "development": [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
        ]
    },
    "devDependencies": {
        "@testing-library/jest-dom": "^5.16.3",
        "@testing-library/react": "^12.1.4",
        "@testing-library/user-event": "^13.5.0",
        "@types/jest": "^27.4.1",
        "@types/node": "^17.0.23",
        "@types/react": "^17.0.43",
        "@types/react-dom": "^17.0.14",
        "@types/redux-thunk": "^2.1.32",
        "@typescript-eslint/eslint-plugin": "^5.16.0",
        "@typescript-eslint/parser": "^5.16.0",
        "eslint-config-airbnb-typescript": "^12.3.1",
        "eslint-config-prettier": "^8.5.0",
        "eslint-plugin-import": "^2.25.4",
        "eslint-plugin-jsx-a11y": "^6.5.1",
        "eslint-plugin-prettier": "^4.0.0",
        "eslint-plugin-react": "^7.29.4",
        "eslint-plugin-react-hooks": "^4.3.0",
        "prettier": "^2.6.1",
        "husky": "^7.0.4",
        "typescript": "^4.6.3"
    }
}
